/******************************************************************************
 *Copyright (c)2020 Analog Devices, Inc.  
 *
 * Licensed under the 2020-04-27-CN0540EC License(the "License");
 * you may not use this file except in compliance with the License.
 *
 ****************************************************************************/

#ifndef _MAIN_H_
#define _MAIN_H_

#include <stdint.h>
#include <string>
using namespace std;

void drdy_interrupt();
int32_t static getUserInput(uint32_t *UserInput);
void static go_to_error();
void static print_title();
void static print_prompt();
int32_t static getMenuSelect(uint16_t *menuSelect);
int32_t static getLargeMenuSelect(uint32_t *largeSelect);
void static print_binary(uint8_t number, char *binary_number);
void static menu_1_set_adc_powermode(void);
void static menu_2_set_adc_clock_divider(void);
void static menu_3_set_adc_filter_type(void);
void static set_adc_FIR_filter(void);
void static set_adc_SINC5_filter(void);
void static set_adc_SINC3_filter(void);
void static set_adc_50HZ_rej(void);
void static set_adc_user_defined_FIR(void);
void static menu_4_adc_buffers_controll(void);
void static menu_5_set_default_settings(void);
void static menu_6_set_adc_vcm(void);
void static menu_7_adc_read_register(void);
void static menu_8_adc_cont_read_data(void);
void static adc_data_read(void);
void static cont_sampling();
void static menu_9_reset_ADC(void);
void static menu_10_power_down(void);
void static menu_11_ADC_GPIO(void);
void static adc_GPIO_write(void);
void static adc_GPIO_inout(void);
void static adc_GPIO_settings(void);
void static menu_12_read_master_status(void);
void static menu_13_mclk_vref(void);
void static menu_14_print_measured_data(void);
void static menu_15_set_adc_data_output_mode(void);
void static menu_16_set_adc_diagnostic_mode(void);
void static menu_17_do_the_fft(void);
void static menu_18_fft_settings(void);
void static menu_19_gains_offsets(void);
void static menu_20_check_scratchpad(void);
void static menu_21_piezo_offset(void);
void static menu_22_set_DAC_output(void);
void static get_mean_voltage(struct adc_data *measured_data, double *mean_voltage);
void static adc_hard_reset(void);
void static sdpk1_gpio_setup(void);

#endif // !_MAIN_H_


